Bug 206325 - [patch][net/avahi-app] fix to work 'service avahi-daemon status'
Summary: [patch][net/avahi-app] fix to work 'service avahi-daemon status'
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-01-17 03:13 UTC by Yuichiro NAITO
Modified: 2018-02-08 01:18 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
avahi initscript patch (2.12 KB, patch)
2016-01-17 03:13 UTC, Yuichiro NAITO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuichiro NAITO 2016-01-17 03:13:29 UTC
Created attachment 165693 [details]
avahi initscript patch

Please apply the patch to work 'service avahi-daemon status' and 'service avahi-dnsconfd status'.

Thank you.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-01-13 00:14:49 UTC
Is this still relevant? Maintainer feedback?
Comment 2 Yuichiro NAITO 2018-02-05 02:47:39 UTC
(In reply to w.schwarzenfeld from comment #1)
Sorry for my delayed comment.

I need this fix for my provisioning tool
that checks if daemon is running by using `service status` command.

My patch is quite simple, I believe this fix doesn't effect others.
Please check my patch.
Comment 3 Kurt Jaeger freebsd_committer 2018-02-07 19:06:40 UTC
Committed, thanks. And we're sorry for the long delay!
Comment 4 commit-hook freebsd_committer 2018-02-07 19:06:59 UTC
A commit references this bug:

Author: pi
Date: Wed Feb  7 19:06:40 UTC 2018
New revision: 461170
URL: https://svnweb.freebsd.org/changeset/ports/461170

Log:
  net/avahi-app: fix rc scripts for a working 'service avahi-daemon status'

  PR:		206325
  Submitted by:	Yuichiro NAITO <naito.yuichiro@gmail.com>
  Reviewed by:	w.schwarzenfeld@utanet.at

Changes:
  head/net/avahi-app/Makefile
  head/net/avahi-app/files/patch-initscript_freebsd_avahi-daemon.sh.in
  head/net/avahi-app/files/patch-initscript_freebsd_avahi-dnsconfd.sh.in
Comment 5 Yuichiro NAITO 2018-02-08 01:18:06 UTC
(In reply to Kurt Jaeger from comment #3)
Thank you!
And sorry for my lack of words in the first comment.